> ## Documentation Index
> Fetch the complete documentation index at: https://docs.bevor.io/llms.txt
> Use this file to discover all available pages before exploring further.

# get chat

> retrieve a specific chat thread



## OpenAPI

````yaml /api-reference/security.json get /security/chats/{chat_id}
openapi: 3.1.2
info:
  title: Bevor Security API
  version: 1.0.0
servers: []
security: []
tags:
  - name: analysis
    description: Analyses, which own a lineage of versions and track a HEAD.
  - name: analysis version
    description: 'Versions of an analysis: creation, lineage, diffs, and pipeline runs.'
  - name: finding
    description: Findings on an analysis version, their staged edits, and comments.
  - name: remediation
    description: Remediations generated for findings.
  - name: summary
    description: Aggregated reporting over analyses, projects, and users.
  - name: chat
    description: Audit chat threads and messages.
paths:
  /security/chats/{chat_id}:
    get:
      tags:
        - chat
      summary: get chat
      description: retrieve a specific chat thread
      parameters:
        - name: chat_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                properties:
                  id:
                    title: Id
                    type: string
                  created_at:
                    format: date-time
                    title: Created At
                    type: string
                  team_id:
                    title: Team Id
                    type: string
                  team_slug:
                    title: Team Slug
                    type: string
                  project_id:
                    title: Project Id
                    type: string
                  project_slug:
                    title: Project Slug
                    type: string
                  user:
                    $ref: '#/components/schemas/UserSchema'
                  total_messages:
                    title: Total Messages
                    type: integer
                  code_version_id:
                    title: Code Version Id
                    type: string
                  title:
                    type: string
                    nullable: true
                  chat_type:
                    enum:
                      - code
                      - analysis
                    title: Chat Type
                    type: string
                  version:
                    $ref: '#/components/schemas/AnalysisVersionRef'
                required:
                  - id
                  - created_at
                  - team_id
                  - team_slug
                  - project_id
                  - project_slug
                  - user
                  - total_messages
                  - code_version_id
                  - chat_type
                  - version
                title: SecurityChatSchema
                type: object
        '400':
          description: Error Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
      security:
        - BearerAuth: []
components:
  schemas:
    UserSchema:
      properties:
        id:
          title: Id
          type: string
        is_self:
          title: Is Self
          type: boolean
        created_at:
          format: date-time
          title: Created At
          type: string
        username:
          title: Username
          type: string
      required:
        - id
        - is_self
        - created_at
        - username
      title: UserSchema
      type: object
    AnalysisVersionRef:
      properties:
        id:
          title: Id
          type: string
        analysis_id:
          title: Analysis Id
          type: string
      required:
        - id
        - analysis_id
      title: AnalysisVersionRef
      type: object
    ApiError:
      properties:
        code:
          enum:
            - auth.session_expired
            - auth.session_revoked
            - auth.session_invalid
            - auth.user_does_not_exist
            - auth.invalid_team_membership
            - auth.unauthorized
            - auth.key_revoked
            - auth.key_invalid
            - auth.payment_required
            - auth.team_required
            - auth.invalid_permissions
            - error.not_found
            - error.invalid_scope
            - error.limit
            - error.entity_deleted
            - error.invalid_state
            - error.conflict
            - error.integrity
            - error.database
            - error.validation
            - error.server
            - analysis.entrypoint_failure
            - code.unsupported
            - code.node_invalid
            - code.conflict
            - app.rate_limit
            - payment.error
            - payment.failed
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - code
        - message
      title: ApiError
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      description: API key in Bearer token format

````